html,
body {
  --header-height: 4.5rem;
  height: 100%;
  width: 100%;
}

@media only screen and (max-width: 500px) {
  html,
  body {
    --header-height: auto;
  }
}

body {
  background-color: rgb(24, 26, 27);
  display: flex;
  flex-direction: column;
}
* {
  font-family: Raleway, sans-serif;
}

header {
  margin-top: 30px;
  margin-bottom: 20px;
  height: var(--header-height);

  display: flex;
  justify-content: center;
  align-items: center;
}

@media only screen and (max-width: 500px) {
  header {
    flex-flow: column;
  }
}

header img {
  width: auto;
  height: 100%;
  max-height: var(--header-height);
  border-radius: 10%;
  display: inline-block;
}

@media only screen and (max-width: 500px) {
  header img {
    width: 100px;
    height: 100px;
  }
}

header h1 {
  display: inline-block;
  font-weight: 300;
  margin: 6px;
  font-size: 2.5rem;
  text-align: center;
  color: #e8e6e3;
}

main {
  max-width: 80%;
  flex-grow: 1;
}

nav {
  background-color: rgb(24, 26, 27);
  display: flex;
  flex-wrap: wrap;

  flex-flow: row;

  width: auto;
  justify-content: space-around;
  padding: 10px 0;
}

@media only screen and (max-width: 500px) {
  nav {
    flex-flow: column;
  }
}

nav a {
  text-decoration: none;
  font-weight: 700;
  font-size: 1.5rem;
  color: rgba(232, 230, 227, 0.3);
}
nav a.selected {
  color: white;
}

.sticky {
  position: sticky;
  top: 0;
  text-align: center;
  overflow: hidden;
  z-index: 10;
}
.sticky .separator {
  position: relative;
  display: inline-flex;
  align-items: center;
  border-radius: 0 0 1.2rem 1.2rem;
  background-color: rgb(24, 26, 27);
}
.sticky .separator:before,
.sticky .separator:after {
  content: "";
  position: absolute;
  height: 50%;
  box-sizing: border-box;
  background-color: rgb(24, 26, 27);
  border-bottom: 4px solid #454a4d;
  top: 0;
  width: 110rem;
}
.sticky .separator:before {
  right: 100%;
}
.sticky .separator:after {
  left: 100%;
}
.icon {
  display: block;
  text-align: center;
  border: 4px solid #454a4d;
  border-radius: 50%;
  padding: 6px;
}
.icon svg {
  display: block;
  width: 1.3rem;
  height: 1.3rem;
}
.icon path {
  fill: #454a4d;
}
.sticky .separator h2 {
  text-transform: uppercase;
  margin: 0px 15px;
  font-size: 1rem;
  font-weight: 400;
  color: #e8e6e3;
}

.project {
  color: rgb(232, 230, 227);
  text-decoration: none;
  border: 1px solid rgb(60, 65, 68);
  border-radius: 0.25rem;
  overflow: hidden;
  transition: 0.2s;
  cursor: pointer;
  width: 250px;
}
.project:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 7px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.project img {
  object-fit: cover;
  width: 100%;
  min-height: 180px;
  height: 180px;
  background-color: #ccc;
}
.project .content {
  padding: 15px;
  text-align: center;
}
.project .content h3 {
  margin-top: 0;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-weight: 500;
}

.story {
  color: black;
  text-decoration: none;
  border: 1px solid #d3d3d3;
  border-radius: 0.25rem;
  overflow: hidden;
  transition: 0.2s;
  cursor: pointer;
}
.story:hover {
  transform: scale(1.1);
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}
.story img {
  object-fit: cover;
  width: 100%;
  min-height: 180px;
  background-color: #ccc;
}
.story .content {
  padding: 15px;
  text-align: center;
}
.story .content h3 {
  margin-top: 0;
  margin-bottom: 10px;
  text-transform: uppercase;
  font-weight: 500;
}

.grid {
  margin: 30px 0;
  padding: 0 15px;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  grid-gap: 10px;
}

.categories {
  display: flex;
  justify-content: center;
  flex-flow: row wrap;
  margin: 30px 0 40px;
}
.radio-button {
  position: absolute;
  overflow: hidden;
  clip: rect(0 0 0 0);
  height: 1px;
  width: 1px;
  margin: -1px;
  padding: 0;
  border: 0;
}
.radio-button + label {
  margin: 5px 5px;
  display: block;
  border: 2px solid rgb(59, 64, 67);
  color: #bcc0c1;
  border-radius: 4px;
  padding: 4px 12px;
  text-transform: uppercase;
  cursor: pointer;
}
.radio-button + label:hover {
  border-color: #462d80;
  color: #462d80;
  font-weight: 700;
}
.radio-button:checked + label {
  font-weight: 700;
  border-color: #462d80;
  background-color: #462d80;
  color: white;
}

.cover {
  margin: 30px 0;
  width: 100%;
  max-width: 640px;
}

.youtube div {
  position: relative;
  padding-bottom: 56.25%;
  height: 0px;
}

.youtube iframe {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
}

.itchio {
  width: 100%;
  max-width: 70%;
}

.cover,
main,
.markdown h1,
.itchio {
  position: relative;
  left: 50%;
  transform: translateX(-50%);
}

.markdown {
  max-width: 80%;
  text-align: center;
  overflow: hidden;
  position: relative;
  padding-left: 30px;
  left: calc(50% - 15px);
  transform: translateX(-50%);
  color: white;
}

.markdown h1,
.markdown h2 {
  text-transform: uppercase;
}

.markdown h1 {
  font-weight: 500;
  font-size: 1.5rem;
  text-align: center;
  display: block;
}

.markdown h2 {
  width: 100%;
  font-size: 1.5rem;
  position: relative;
  display: block;
  font-weight: 300;
  padding-right: 10px;
}

.markdown h3 {
  font-size: 1.4rem;
  margin-bottom: 1rem;
}

.markdown .direct-link {
  margin-left: -20px;
  float: left;
  text-decoration: none;
  line-height: 1;
}

.markdown .direct-link svg {
  display: inline-block;
  visibility: hidden;
  vertical-align: middle;
  color: black;
}
.markdown .direct-link:hover svg {
  visibility: visible;
}

.markdown h1:hover .direct-link svg,
.markdown h2:hover .direct-link svg,
.markdown h3:hover .direct-link svg,
.markdown h4:hover .direct-link svg,
.markdown h5:hover .direct-link svg {
  visibility: visible;
}

.markdown h1:after,
.markdown h2:after {
  content: "";
  position: absolute;
  height: 50%;
  box-sizing: border-box;
  border-bottom: 2px solid rgba(0, 0, 0, 0.1);
  top: 0;
  width: 650px;
  left: 100%;
}

.markdown h1:after {
  left: 50%;
  transform: translateX(-50%);
  height: 120%;
}

.markdown pre {
  border-radius: 4px;
}
.markdown code * {
  font-family: "Source Code Pro", monospace;
}
.markdown code:not([class*="language-"]) {
  background: #2a2734;
  padding: 2px 8px;
  color: #c4b9fe;
  border-radius: 4px;
}
.markdown img {
  display: block;
  margin: 0 auto;
  max-width: 640px;
}
.markdown blockquote {
  background: #f9f9f9;
  border-left: 5px solid #ccc;
  margin: 1.5em 10px;
  padding: 0.2em 10px;
  quotes: "\201C""\201D""\2018""\2019";
}
.markdown blockquote:before {
  color: #ccc;
  content: open-quote;
  font-size: 4em;
  line-height: 0.1em;
  vertical-align: -0.1em;
}
.markdown blockquote p {
  display: inline-block;
}

.links {
  margin: 0 auto 30px;
  max-width: 640px;
  display: flex;
  justify-content: center;
}

.links a {
  color: white;
  display: block;
  border-radius: 20px;
  border: 2px solid #d3d3d3;
  padding: 4px 16px;
  text-decoration: none;
  font-weight: 600;
  font-size: 1.2rem;
  margin: 5px;
  transition: box-shadow 0.2s, transform 0.2s;
}

footer {
  border-top: 4px solid rgba(0, 0, 0, 0.2);
  max-width: 1000px;
  width: 100%;
  margin: 50px auto 0;
  text-align: center;
  padding: 5px 0px 10px;
}

.social {
  display: inline-flex;
  flex-wrap: wrap;
  justify-content: center;
  justify-items: center;
  align-items: center;
  align-content: center;
  margin: 0px;
  padding: 0px;
}

.social li {
  list-style-type: none;
}

.social li a {
  display: flex;
  align-items: center;
  box-sizing: border-box;
  height: 2.6rem;
  border-left: 2px solid rgb(63, 68, 71);
  border-right: 2px solid rgb(63, 68, 71);
  padding: calc(0.7rem - 4px);
  text-decoration: none;
  transition: box-shadow 0.2s, transform 0.2s;
  margin: 0 -1px;
}

.social li a span {
  display: inline-block;
  color: rgb(63, 68, 71);
  font-size: 0.9rem;
  font-weight: 700;
  margin-left: 5px;
}

.social li a svg {
  color: rgb(63, 68, 71);
  fill: rgb(63, 68, 71);
  width: 1.2rem;
  height: 1.2rem;
}
.social li a:hover {
  z-index: 2;
}

.links a:hover,
.social li a:hover {
  background-color: #462d80;
  color: white;
  border-color: transparent;
  transform: scale(1.02);
  box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}

.social li a:hover svg path,
.social li a:hover span {
  color: white;
  fill: white;
}

footer p,
footer p a {
  margin: 2px;
  color: white;
}

.field {
  margin: 4px 0;
  display: flex;
  align-content: center;
  align-items: center;
}
.field .icon {
  border-width: 1px;
  color: rgba(232, 230, 227, 0.35);
}
.field .description {
  color: white;
  font-weight: 300;
  margin: 0 8px;
}

#loadOverlay {
  display: none;
}

a {
  color: #774ed8;
}
